
set( ubcrt_VERSION 08.00.00.23 )
set( ubcrt_UPS_VERSION v08_00_00_23 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcorealg  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( larcoreobj  )
find_ups_root(  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( larpandora  )
find_ups_product( larcore v1_00_00 )
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( lardata v1_00_00 )
find_ups_product( nutools  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/build-nulite-matrix/BUILDTYPE/debug/QUAL/s78-c2/label1/swarm/label2/OSX-10.12/build/libxml2/v2_9_5/Darwin64bit+16-debug/lib NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt v1_00_00 )
find_ups_product( larsim v1_00_00 )
find_ups_product( marley  )
find_ups_product( ifdhc  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larreco v1_00_00 )
find_ups_product( eigen  )
find_ups_product( pandora v02_00_00 )
find_ups_product( larpandoracontent v02_04_00 )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
find_ups_product( ubevt  )
find_ups_product( ubcore v1_00_00 )
find_ups_product( ubobj v1_00_00 )
find_ups_product( artdaq_core v1_00_00 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( ifdh_art v1_00_00 )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( gsl v1_00_00 )
find_ups_product( gallery  )
set(BERNFEBDAQ-CORE_OVERLAYS "$ENV{UBCRT_LIB}/libbernfebdaq-core_Overlays.dylib")
set(BERNFEBDAQ_BERNZMQBINARYSOURCE "$ENV{UBCRT_LIB}/libbernfebdaq_BernZMQBinarySource.dylib")
set(BERNZMQBINARYINPUT_SOURCE "$ENV{UBCRT_LIB}/libBernZMQBinaryInput_source.dylib")
set(CRTDATA "$ENV{UBCRT_LIB}/libCRTData.dylib")
set(CRTTRIGGERFILTER_MODULE "$ENV{UBCRT_LIB}/libCRTTriggerFilter_module.dylib")
set(CRT "$ENV{UBCRT_LIB}/libCRT.dylib")
set(UBCRT_CRT_CRTGEOMETRYHELPER_SERVICE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTGeometryHelper_service.dylib")
set(CRTFILEMANAGER_SERVICE "$ENV{UBCRT_LIB}/libCRTFileManager_service.dylib")
set(UBCRT_CRT_CRTDETSIM_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTDetSim_module.dylib")
set(CRTCALIBRATION_MODULE "$ENV{UBCRT_LIB}/libCRTCalibration_module.dylib")
set(UBCRT_CRT_CRTSIMHITPRODUCER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTSimHitProducer_module.dylib")
set(CRTSIMHITCORR_MODULE "$ENV{UBCRT_LIB}/libCRTSimHitCorr_module.dylib")
set(CRTDATAHITCORR_MODULE "$ENV{UBCRT_LIB}/libCRTDataHitCorr_module.dylib")
set(UBCRT_CRT_CRTHITPRODUCER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTHitProducer_module.dylib")
set(UBCRT_CRT_CRTTRACKPRODUCER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTTrackProducer_module.dylib")
set(UBCRT_CRT_CRTTZEROPRODUCER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTTzeroProducer_module.dylib")
set(UBCRT_CRT_FLASHEXT_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_FlashExt_module.dylib")
set(UBCRT_CRT_TIMEEXTRACTION_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_TimeExtraction_module.dylib")
set(UBCRT_CRT_MERGETEST_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_MergeTest_module.dylib")
set(UBCRT_CRT_TRACKDUMP_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_TrackDump_module.dylib")
set(UBCRT_CRT_CRTDATAQUALITY_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTDataQuality_module.dylib")
set(UBCRT_CRT_CRTHITPOSITIONPERMODULE_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTHitPositionPerModule_module.dylib")
set(UBCRT_CRT_CRTRAWTOCRTHIT_SOURCE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTRawtoCRTHit_source.dylib")
set(UBCRT_CRT_CRTRAWTOCRTHITGPSCORR_SOURCE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTRawtoCRTHitGPScorr_source.dylib")
set(UBCRT_CRT_CRTANALYSER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTAnalyser_module.dylib")
set(UBCRT_CRT_CRTEFFSTD_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTeffStd_module.dylib")
set(UBCRT_CRT_T0RECOCRT_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRT_module.dylib")
set(UBCRT_CRT_T0RECOCRTTRACK_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTTrack_module.dylib")
set(UBCRT_CRT_T0RECOCRTTRACKANAL_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTTrackAnal_module.dylib")
set(UBCRT_CRT_T0RECOCRTHIT_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTHit_module.dylib")
set(UBCRT_CRT_T0RECOCRTANAL_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTAnal_module.dylib")
set(UBCRT_CRT_T0RECOCRTHITANAL_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTHitAnal_module.dylib")
set(UBCRT_CRT_T0RECOCRTHITANA2_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_T0recoCRTHitAna2_module.dylib")
set(UBCRT_CRT_CRTTIMING_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTTiming_module.dylib")
set(UBCRT_CRT_CRTTRIGGERTIMEPRODUCER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTTriggerTimeProducer_module.dylib")
set(UBCRT_CRT_CRTTRIGGERTIMEPRODUCERSIMPLE_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTTriggerTimeProducerSimple_module.dylib")
set(UBCRT_CRT_CRTMERGER_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTMerger_module.dylib")
set(UBCRT_CRT_CRTFLASHANA_MODULE "$ENV{UBCRT_LIB}/libubcrt_CRT_CRTFlashAna_module.dylib")
set(CRTDISTANCEFILTER_MODULE "$ENV{UBCRT_LIB}/libCRTDistanceFilter_module.dylib")
set(EXTERNALVTX_MODULE "$ENV{UBCRT_LIB}/libExternalVtx_module.dylib")
set(G4VETOSIGNALIMPACT_MODULE "$ENV{UBCRT_LIB}/libG4VetoSignalImpact_module.dylib")
set(UBCRTCOSMICFILTER_MODULE "$ENV{UBCRT_LIB}/libUBCRTCosmicFilter_module.dylib")
set(UBCRT_UBCRTCOSMICFILTER_DICT "$ENV{UBCRT_LIB}/libubcrt_UBCRTCosmicFilter_dict.dylib")
  include_directories ( "$ENV{UBCRT_INC}" )

check_required_components(ubcrt)

